Commit f17af324 authored by Nicolas Fella's avatar Nicolas Fella
Browse files

Bump minimum CMake version to 3.16

Newer CMake versions offer nice benefits like imported targets for common libs

Plasma requires 3.16 so there is precedent for it
parent 48ececc9
cmake_minimum_required (VERSION 3.0 FATAL_ERROR) cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
# KDE Application Version, managed by release script # KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21") set (RELEASE_SERVICE_VERSION_MAJOR "21")
......
...@@ -53,8 +53,6 @@ include_directories( ...@@ -53,8 +53,6 @@ include_directories(
${CMAKE_CURRENT_SOURCE_DIR}/${GV_JPEG_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/${GV_JPEG_DIR}
${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/..
${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR}
${JPEG_INCLUDE_DIR}
${PNG_INCLUDE_DIRS}
) )
if(HAVE_FITS) if(HAVE_FITS)
...@@ -269,8 +267,8 @@ target_link_libraries(gwenviewlib ...@@ -269,8 +267,8 @@ target_link_libraries(gwenviewlib
KF5::WindowSystem KF5::WindowSystem
KF5::IconThemes KF5::IconThemes
LibExiv2::LibExiv2 LibExiv2::LibExiv2
${JPEG_LIBRARY} JPEG::JPEG
${PNG_LIBRARIES} PNG::PNG
${LCMS2_LIBRARIES} ${LCMS2_LIBRARIES}
${PHONON_LIBRARY} ${PHONON_LIBRARY}
) )
...@@ -291,7 +289,7 @@ if (KF5KDcraw_FOUND) ...@@ -291,7 +289,7 @@ if (KF5KDcraw_FOUND)
endif() endif()
if (HAVE_X11) if (HAVE_X11)
target_link_libraries(gwenviewlib Qt5::X11Extras ${X11_X11_LIB}) target_link_libraries(gwenviewlib Qt5::X11Extras X11::X11)
endif() endif()
if (GWENVIEW_SEMANTICINFO_BACKEND_BALOO) if (GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment